import decodeToken from '../../utils/decode';
Component({
    onInit() {
        my.getUserToken({
            success: ({ token = '' }) => {
                const data = decodeToken(token);
                this.setData({ email: data.email });
            },
        });
    },
    deriveDataFromProps(nextProps) {
        if (nextProps.userEmail)
            this.setData({ email: nextProps.userEmail });
    },
});
